<div class="header-container">
  <h3 style="display:inline;">Editer un réseau</h3>
  <button class="btn btn-primary" (click)="goBack()"> Retour </button>
</div>

<label for="name">Nom: </label>
<input id="name" [(ngModel)]="name" type="text" placeholder="network_de_test"/>
<br>
<label for="label">Nom in-game: </label>
<input id="label" [(ngModel)]="label" type="text" placeholder="Ntwk_K-RA-V-LA_124">

<div *ngFor="let floor of floors; let i = index">
  <hr class="floor-separator"/>
  <app-create-floor #floor
    [depth]="i +1"
    [id]="floor.id"
    (removeFloorEmitter)="onRemoveFloorEvent($event)"
  >
  </app-create-floor>
</div>


<hr class="floor-separator"/>
<button class="btn btn-primary" (click)="addFloor()">Ajouter un étage</button>
<hr class="floor-separator"/>

<div class="header-container">
  <button class="btn btn-success" (click)="onConfirmButton()"> Sauvegarder modifications </button>
  <button class="btn btn-danger" (click)="deleteNetwork()"> Supprimer ce réseau </button>
</div>
